{"openapi":"3.1.0","info":{"title":"Henry Labs API Playground","version":"0.25.0","description":"Playground for Henry Labs API endpoints","contact":{"name":"Henry Labs API Support","email":"support@henrylabs.ai"}},"servers":[{"url":"https://api.henrylabs.ai/v0","description":"Production server"}],"tags":[{"name":"Products","description":"Product search, details, and data enrichment"},{"name":"Cart","description":"Universal user shopping cart management"},{"name":"Checkout","description":"User checkout session management"},{"name":"Orders","description":"Order management post purchase"},{"name":"Wallet","description":"User wallet payment method management"},{"name":"Merchants","description":"Merchant information and status"},{"name":"Users","description":"User profile and address management"}],"security":[{"ApiKeyAuth":[]}],"paths":{"/cart/items":{"post":{"operationId":"addCartItems","summary":"Add Cart Items","description":"Adds product data to existing cart or create a new one.","tags":["Cart"],"security":[{"ApiKeyAuth":[]}],"parameters":[{"name":"x-user-id","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"productsDetails":{"minItems":1,"type":"array","items":{"type":"object","properties":{"productId":{"description":"Product Id","example":"P01145AC2","type":"string","minLength":1},"name":{"type":"string","minLength":1,"description":"Product name","example":"Men's Trail Runners"},"price":{"type":"string","minLength":1,"description":"Product price","example":"100"},"quantity":{"type":"number","exclusiveMinimum":0,"description":"Quantity","example":1},"metadata":{"description":"Product metadata","example":{"color":"Black","size":"9"},"type":"object","propertyNames":{"type":"string"},"additionalProperties":{"type":"string"}},"productLink":{"type":"string","format":"uri","description":"Product link","example":"https://www.on.com/en-us/products/cloud-6-versa-m-3mf1004/mens/black-eclipse-shoes-3MF10040106"},"affiliateProductLink":{"description":"Affiliate product link (if provided, will be used instead of productLink for order fulfillment)","example":"https://www.on.com/en-us/products/cloud-6-versa-m-3mf1004/mens/black-eclipse-shoes-3MF10040106?ref=affiliate123","type":"string","format":"uri"},"productImageLink":{"description":"Product image link (thumbnail)","example":"https://images.ctfassets.net/hnk2vsx53n6l/2xi62H2BswFpVK0SjUmhXM/0d4a4bb14915c9a5d3228df45c774629/c36d3fd00cf91ec9fb5ff4bc4d4a0093cccbe8cd.png?w=192&h=192&fm=avif&f=center&fit=fill&q=80","type":"string","format":"uri"}},"required":["name","price","quantity","productLink"]}},"checkVariantAvailability":{"description":"Whether to check variant availability after adding to cart. If true, variant check requests will be created for products with metadata and requestIds returned.","example":false,"type":"boolean"}},"required":["productsDetails"]}}}},"responses":{"201":{"description":"Product added to the cart successfully.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","examples":[true]},"status":{"type":"string","examples":["success"]},"message":{"type":"string","examples":["Product added to the cart successfully"]},"data":{"type":"object","properties":{"added_products":{"type":"array","items":{"type":"object","properties":{"productId":{"type":"string","examples":["P01145AC2"]},"name":{"type":"string","examples":["Nike Air Max 90"]},"price":{"type":"string","examples":["99.99"]},"quantity":{"type":"number","examples":[1]}},"required":["productId","name","price","quantity"],"additionalProperties":false}},"updated_products":{"type":"array","items":{"type":"object","properties":{"productId":{"type":"string","examples":["P01145AC2"]},"name":{"type":"string","examples":["Nike Air Max 90"]},"price":{"type":"string","examples":["99.99"]},"quantity":{"type":"number","examples":[1]},"previousQuantity":{"type":"number","examples":[1]},"addedQuantity":{"type":"number","examples":[1]}},"required":["productId","name","price","quantity","previousQuantity","addedQuantity"],"additionalProperties":false}},"cart_summary":{"type":"object","properties":{"total_items":{"type":"number","examples":[3]},"total_unique_products":{"type":"number","examples":[2]}},"required":["total_items","total_unique_products"],"additionalProperties":false},"variant_checks":{"type":"array","items":{"type":"object","properties":{"productId":{"type":"string","examples":["P01145AC2"]},"variantCheckRequestId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$","examples":["123e4567-e89b-12d3-a456-426614174000"]},"status":{"type":"string","examples":["pending"]}},"required":["productId","variantCheckRequestId","status"],"additionalProperties":false}}},"required":["added_products","updated_products","cart_summary"],"additionalProperties":false}},"required":["success","status","message"],"additionalProperties":false}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"401":{"description":"Unauthorized - Invalid API key","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}}}},"delete":{"operationId":"deleteAllCartItems","summary":"Clear Cart","description":"Delete all products from the cart","tags":["Cart"],"security":[{"ApiKeyAuth":[]}],"parameters":[{"name":"x-user-id","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"All Cart items deleted successfully.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"401":{"description":"Unauthorized - Invalid API key","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"404":{"description":"Cart already empty.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}}}},"get":{"operationId":"getCartItems","summary":"Return Cart Items","description":"Get all products from the cart","tags":["Cart"],"security":[{"ApiKeyAuth":[]}],"parameters":[{"name":"x-user-id","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Cart items fetched successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","examples":[true]},"status":{"type":"string","examples":["success"]},"message":{"type":"string","examples":["Cart items fetched successfully"]},"data":{"type":"object","properties":{"products":{"type":"array","items":{"type":"object","properties":{"productId":{"description":"Product Id","example":"P01145AC2","type":"string","minLength":1},"name":{"type":"string","minLength":1,"description":"Product name","example":"Men's Trail Runners"},"price":{"type":"string","minLength":1,"description":"Product price","example":"100"},"quantity":{"type":"number","exclusiveMinimum":0,"description":"Quantity","example":1},"metadata":{"description":"Product metadata","example":{"color":"Black","size":"9"},"type":"object","propertyNames":{"type":"string"},"additionalProperties":{"type":"string"}},"productLink":{"type":"string","format":"uri","description":"Product link","example":"https://www.on.com/en-us/products/cloud-6-versa-m-3mf1004/mens/black-eclipse-shoes-3MF10040106"},"affiliateProductLink":{"description":"Affiliate product link (if provided, will be used instead of productLink for order fulfillment)","example":"https://www.on.com/en-us/products/cloud-6-versa-m-3mf1004/mens/black-eclipse-shoes-3MF10040106?ref=affiliate123","type":"string","format":"uri"},"productImageLink":{"description":"Product image link (thumbnail)","example":"https://images.ctfassets.net/hnk2vsx53n6l/2xi62H2BswFpVK0SjUmhXM/0d4a4bb14915c9a5d3228df45c774629/c36d3fd00cf91ec9fb5ff4bc4d4a0093cccbe8cd.png?w=192&h=192&fm=avif&f=center&fit=fill&q=80","type":"string","format":"uri"}},"required":["name","price","quantity","productLink"],"additionalProperties":false}}},"required":["products"],"additionalProperties":false}},"required":["success","status","message"],"additionalProperties":false}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"401":{"description":"Unauthorized - Invalid API key","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}}}}},"/cart/checkout":{"post":{"operationId":"createHostedCheckoutPage","summary":"Create Hosted Checkout","description":"Generates a hosted checkout URL for the user's cart that can be embedded in an iframe or modal. The page walks the buyer through reviewing the order, entering shipping and payment information, and confirming the purchase.","tags":["Cart"],"security":[{"ApiKeyAuth":[]}],"parameters":[{"name":"x-user-id","in":"header","required":true,"schema":{"type":"string"}},{"name":"auth","in":"query","required":false,"schema":{"type":"boolean","default":true},"description":"Whether authentication is required for checkout (default: true)"},{"name":"region","in":"query","required":false,"schema":{"type":"string","minLength":2,"maxLength":2},"description":"ISO 3166-1 alpha-2 country code (2-character lowercase string)"}],"responses":{"200":{"description":"Hosted checkout page created","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","examples":[true]},"status":{"type":"string","examples":["success"]},"message":{"type":"string","examples":["Hosted checkout page created"]},"data":{"type":"object","properties":{"checkout_url":{"type":"string","format":"uri","examples":["https://checkout.henrylabs.ai/session/abc123"]}},"required":["checkout_url"],"additionalProperties":false}},"required":["success","status","message"],"additionalProperties":false}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"401":{"description":"Unauthorized - Invalid API key","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"404":{"description":"Cart empty. Failed to initiate checkout.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}}}}},"/cart/items/{productId}":{"delete":{"operationId":"deleteCartItem","summary":"Remove Cart Item","description":"Delete a product from the cart","tags":["Cart"],"security":[{"ApiKeyAuth":[]}],"parameters":[{"name":"x-user-id","in":"header","required":true,"schema":{"type":"string"}},{"name":"productId","in":"path","required":true,"schema":{"type":"string"},"description":"The product ID to delete from cart"}],"responses":{"200":{"description":"Cart item deleted successfully.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"401":{"description":"Unauthorized - Invalid API key","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"404":{"description":"Product not found in cart.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}}}}},"/checkout/guest/addresses":{"get":{"operationId":"listGuestAddresses","summary":"List Guest Addresses","description":"Returns the list of saved guest shipping addresses for the current checkout session.","tags":["Users"],"security":[{"ApiKeyAuth":[],"AccessTokenAuth":[]}],"parameters":[{"name":"x-user-id","in":"header","required":false,"schema":{"type":"string"},"description":"Required when authenticating with API key"}],"responses":{"200":{"description":"Guest addresses retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","examples":[true]},"status":{"type":"string","examples":["success"]},"message":{"type":"string","examples":["Guest addresses retrieved successfully"]},"data":{"type":"object","properties":{"addresses":{"type":"array","items":{"type":"object","properties":{"fullName":{"type":"string","minLength":1,"description":"Full name","example":"John Doe"},"email":{"type":"string","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","description":"Email","example":"john.doe@example.com"},"phoneNumber":{"type":"string","minLength":1,"description":"Phone number","example":"+1234567890"},"addressLine1":{"type":"string","minLength":1,"description":"Address line 1","example":"350 5th Ave"},"addressLine2":{"description":"Street address line 2 (apartment, suite, etc.)","example":"Apt 1","anyOf":[{"type":"string"},{"type":"null"}]},"countryCode":{"type":"string","minLength":2,"maxLength":2,"description":"ISO 3166-1 alpha-2 country code (e.g., 'us', 'uk', 'ca')","example":"US"},"city":{"type":"string","minLength":1,"description":"City","example":"New York"},"stateOrProvince":{"type":"string","minLength":1,"description":"State or province","example":"New York"},"postalCode":{"type":"string","minLength":1,"description":"Postal code","example":"10001"},"id":{"examples":["123e4567-e89b-12d3-a456-426614174000"],"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"isDefault":{"examples":[true],"type":"boolean"}},"required":["fullName","email","phoneNumber","addressLine1","countryCode","city","stateOrProvince","postalCode"],"additionalProperties":false}}},"additionalProperties":false}},"required":["success","status","message"],"additionalProperties":false}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"401":{"description":"Unauthorized - Invalid authentication","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}}}},"post":{"operationId":"createGuestAddress","summary":"Create Guest Address","description":"Creates a new guest shipping address and marks it as the default for the session.","tags":["Users"],"security":[{"ApiKeyAuth":[],"AccessTokenAuth":[]}],"parameters":[{"name":"x-user-id","in":"header","required":false,"schema":{"type":"string"},"description":"Required when authenticating with API key"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"fullName":{"type":"string","minLength":1,"description":"Full name","example":"John Doe"},"email":{"type":"string","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","description":"Email","example":"john.doe@example.com"},"phoneNumber":{"type":"string","minLength":1,"description":"Phone number","example":"+1234567890"},"addressLine1":{"type":"string","minLength":1,"description":"Address line 1","example":"350 5th Ave"},"addressLine2":{"description":"Street address line 2 (apartment, suite, etc.)","example":"Apt 1","anyOf":[{"type":"string"},{"type":"null"}]},"countryCode":{"type":"string","minLength":2,"maxLength":2,"description":"ISO 3166-1 alpha-2 country code (e.g., 'us', 'uk', 'ca')","example":"US"},"city":{"type":"string","minLength":1,"description":"City","example":"New York"},"stateOrProvince":{"type":"string","minLength":1,"description":"State or province","example":"New York"},"postalCode":{"type":"string","minLength":1,"description":"Postal code","example":"10001"},"id":{"examples":["123e4567-e89b-12d3-a456-426614174000"],"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"isDefault":{"examples":[true],"type":"boolean"}},"required":["fullName","email","phoneNumber","addressLine1","countryCode","city","stateOrProvince","postalCode"]}}}},"responses":{"201":{"description":"Guest address created successfully","content":{"application/json":{"schema":{"type":"object","properties":{"fullName":{"type":"string","minLength":1,"description":"Full name","example":"John Doe"},"email":{"type":"string","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","description":"Email","example":"john.doe@example.com"},"phoneNumber":{"type":"string","minLength":1,"description":"Phone number","example":"+1234567890"},"addressLine1":{"type":"string","minLength":1,"description":"Address line 1","example":"350 5th Ave"},"addressLine2":{"description":"Street address line 2 (apartment, suite, etc.)","example":"Apt 1","anyOf":[{"type":"string"},{"type":"null"}]},"countryCode":{"type":"string","minLength":2,"maxLength":2,"description":"ISO 3166-1 alpha-2 country code (e.g., 'us', 'uk', 'ca')","example":"US"},"city":{"type":"string","minLength":1,"description":"City","example":"New York"},"stateOrProvince":{"type":"string","minLength":1,"description":"State or province","example":"New York"},"postalCode":{"type":"string","minLength":1,"description":"Postal code","example":"10001"},"id":{"examples":["123e4567-e89b-12d3-a456-426614174000"],"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"isDefault":{"examples":[true],"type":"boolean"}},"required":["fullName","email","phoneNumber","addressLine1","countryCode","city","stateOrProvince","postalCode"],"additionalProperties":false}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"401":{"description":"Unauthorized - Invalid authentication","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}}}}},"/checkout/guest/addresses/{id}":{"patch":{"operationId":"updateGuestAddress","summary":"Update Guest Address","description":"Updates an existing guest shipping address.","tags":["Users"],"security":[{"ApiKeyAuth":[],"AccessTokenAuth":[]}],"parameters":[{"name":"x-user-id","in":"header","required":false,"schema":{"type":"string"},"description":"Required when authenticating with API key"},{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"fullName":{"type":"string","minLength":1,"description":"Full name","example":"John Doe"},"email":{"type":"string","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","description":"Email","example":"john.doe@example.com"},"phoneNumber":{"type":"string","minLength":1,"description":"Phone number","example":"+1234567890"},"addressLine1":{"type":"string","minLength":1,"description":"Address line 1","example":"350 5th Ave"},"addressLine2":{"description":"Street address line 2 (apartment, suite, etc.)","example":"Apt 1","anyOf":[{"type":"string"},{"type":"null"}]},"countryCode":{"type":"string","minLength":2,"maxLength":2,"description":"ISO 3166-1 alpha-2 country code (e.g., 'us', 'uk', 'ca')","example":"US"},"city":{"type":"string","minLength":1,"description":"City","example":"New York"},"stateOrProvince":{"type":"string","minLength":1,"description":"State or province","example":"New York"},"postalCode":{"type":"string","minLength":1,"description":"Postal code","example":"10001"}}}}}},"responses":{"200":{"description":"Guest address updated successfully","content":{"application/json":{"schema":{"type":"object","properties":{"fullName":{"type":"string","minLength":1,"description":"Full name","example":"John Doe"},"email":{"type":"string","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","description":"Email","example":"john.doe@example.com"},"phoneNumber":{"type":"string","minLength":1,"description":"Phone number","example":"+1234567890"},"addressLine1":{"type":"string","minLength":1,"description":"Address line 1","example":"350 5th Ave"},"addressLine2":{"description":"Street address line 2 (apartment, suite, etc.)","example":"Apt 1","anyOf":[{"type":"string"},{"type":"null"}]},"countryCode":{"type":"string","minLength":2,"maxLength":2,"description":"ISO 3166-1 alpha-2 country code (e.g., 'us', 'uk', 'ca')","example":"US"},"city":{"type":"string","minLength":1,"description":"City","example":"New York"},"stateOrProvince":{"type":"string","minLength":1,"description":"State or province","example":"New York"},"postalCode":{"type":"string","minLength":1,"description":"Postal code","example":"10001"},"id":{"examples":["123e4567-e89b-12d3-a456-426614174000"],"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"isDefault":{"examples":[true],"type":"boolean"}},"required":["fullName","email","phoneNumber","addressLine1","countryCode","city","stateOrProvince","postalCode"],"additionalProperties":false}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"401":{"description":"Unauthorized - Invalid authentication","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"404":{"description":"Guest address not found","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}}}},"delete":{"operationId":"deleteGuestAddress","summary":"Delete Guest Address","description":"Deletes a guest shipping address. May update the default address based on remaining addresses.","tags":["Users"],"security":[{"ApiKeyAuth":[],"AccessTokenAuth":[]}],"parameters":[{"name":"x-user-id","in":"header","required":false,"schema":{"type":"string"},"description":"Required when authenticating with API key"},{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Guest address deleted successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"401":{"description":"Unauthorized - Invalid authentication","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"404":{"description":"Guest address not found","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}}}}},"/checkout/guest/addresses/{id}/default":{"post":{"operationId":"setDefaultGuestAddress","summary":"Set Default Guest Address","description":"Marks the specified guest address as default for the current session and unsets any previous default.","tags":["Users"],"security":[{"ApiKeyAuth":[],"AccessTokenAuth":[]}],"parameters":[{"name":"x-user-id","in":"header","required":false,"schema":{"type":"string"},"description":"Required when authenticating with API key"},{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Default guest address updated successfully","content":{"application/json":{"schema":{"type":"object","properties":{"fullName":{"type":"string","minLength":1,"description":"Full name","example":"John Doe"},"email":{"type":"string","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","description":"Email","example":"john.doe@example.com"},"phoneNumber":{"type":"string","minLength":1,"description":"Phone number","example":"+1234567890"},"addressLine1":{"type":"string","minLength":1,"description":"Address line 1","example":"350 5th Ave"},"addressLine2":{"description":"Street address line 2 (apartment, suite, etc.)","example":"Apt 1","anyOf":[{"type":"string"},{"type":"null"}]},"countryCode":{"type":"string","minLength":2,"maxLength":2,"description":"ISO 3166-1 alpha-2 country code (e.g., 'us', 'uk', 'ca')","example":"US"},"city":{"type":"string","minLength":1,"description":"City","example":"New York"},"stateOrProvince":{"type":"string","minLength":1,"description":"State or province","example":"New York"},"postalCode":{"type":"string","minLength":1,"description":"Postal code","example":"10001"},"id":{"examples":["123e4567-e89b-12d3-a456-426614174000"],"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"isDefault":{"examples":[true],"type":"boolean"}},"required":["fullName","email","phoneNumber","addressLine1","countryCode","city","stateOrProvince","postalCode"],"additionalProperties":false}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"401":{"description":"Unauthorized - Invalid authentication","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"404":{"description":"Guest address not found","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}}}}},"/orders/{orderId}":{"delete":{"operationId":"deleteOrder","summary":"Delete orders","description":"Delete orders","tags":["Checkout"],"security":[{"ApiKeyAuth":[]}],"parameters":[{"in":"path","name":"orderId","schema":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"description":"Order ID","example":"123e4567-e89b-12d3-a456-426614174000","required":true},{"name":"x-user-id","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Order deleted successfully.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"401":{"description":"Unauthorized - Invalid API key","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"404":{"description":"Order not found.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}}}},"get":{"operationId":"getOrderStatus","summary":"Order Details","description":"Retrieve the details of an order given order ID","tags":["Orders"],"security":[{"ApiKeyAuth":[]}],"parameters":[{"in":"path","name":"orderId","schema":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"description":"Order ID","example":"123e4567-e89b-12d3-a456-426614174000","required":true}],"responses":{"200":{"description":"Order details retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","examples":[true]},"status":{"type":"string","examples":["success"]},"message":{"type":"string","examples":["Order details retrieved successfully"]},"data":{"type":"object","properties":{"id":{"type":"string","examples":["123e4567-e89b-12d3-a456-426614174000"]},"userId":{"type":"string","examples":["user-456"]},"status":{"type":"string","enum":["processing","order_placed","processing_failed","partially_fulfilled"],"examples":["order_placed"]},"statusMessage":{"type":"string","examples":["Your order has been placed successfully"]},"subtotal":{"type":"string","examples":["99.99"]},"tax":{"type":"string","examples":["8.25"]},"shipping":{"type":"string","examples":["5.99"]},"transactionFee":{"type":"string","examples":["3.00"]},"grandTotal":{"type":"string","examples":["114.23"]},"currency":{"type":"string","examples":["USD"]},"products":{"type":"array","items":{"type":"object","properties":{"productName":{"type":"string","examples":["Nike Air Max 90"]},"quantity":{"type":"number","examples":[1]},"productMetadata":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{}}},"required":["productName","quantity"],"additionalProperties":false}},"shippingDetails":{"type":"object","properties":{"email":{"type":"string","examples":["john@example.com"]},"fullName":{"type":"string","examples":["John Doe"]},"addressLine1":{"type":"string","examples":["123 Main St"]},"addressLine2":{"examples":["Apt 4B"],"type":"string"},"city":{"type":"string","examples":["Austin"]},"stateOrProvince":{"type":"string","examples":["TX"]},"postalCode":{"type":"string","examples":["78701"]},"countryCode":{"type":"string","examples":["US"]},"phoneNumber":{"type":"string","examples":["+1-512-555-0123"]}},"required":["email","fullName","addressLine1","city","stateOrProvince","postalCode","countryCode","phoneNumber"],"additionalProperties":false}},"required":["id","userId","status","statusMessage","subtotal","tax","shipping","transactionFee","grandTotal","currency","products"],"additionalProperties":false}},"required":["success","status","message"],"additionalProperties":false}}}},"400":{"description":"Bad request - Invalid order ID format","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"401":{"description":"Unauthorized - Invalid API key or missing user ID","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"404":{"description":"Order not found","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}}}}},"/orders":{"get":{"operationId":"getOrderList","summary":"List Orders","description":"Retrieve a paginated list of orders for a given app user. Use x-user-id header to specify the app user.","tags":["Orders"],"security":[{"ApiKeyAuth":[]}],"parameters":[{"name":"x-user-id","in":"header","required":true,"schema":{"type":"string"}},{"in":"query","name":"page","schema":{"type":"integer","minimum":1,"default":1},"description":"Page number (starts from 1)","example":"1"},{"in":"query","name":"limit","schema":{"type":"integer","minimum":1,"maximum":100,"default":15},"description":"Number of items per page (1-100)","example":"10"}],"responses":{"200":{"description":"Order list retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","examples":[true]},"status":{"type":"string","examples":["success"]},"message":{"type":"string","examples":["Order list retrieved successfully"]},"data":{"type":"object","properties":{"orders":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","examples":["123e4567-e89b-12d3-a456-426614174000"]},"status":{"type":"string","enum":["processing","order_placed","processing_failed","partially_fulfilled"],"examples":["order_placed"]},"itemCount":{"type":"number","examples":[3]},"subtotal":{"type":"string","examples":["99.99"]},"tax":{"type":"string","examples":["8.25"]},"shipping":{"type":"string","examples":["5.99"]},"transactionFee":{"type":"string","examples":["3.00"]},"grandTotal":{"type":"string","examples":["114.23"]},"currency":{"type":"string","examples":["USD"]},"createdAt":{"type":"string","examples":["2024-01-15T10:30:00Z"]}},"required":["id","status","itemCount","subtotal","tax","shipping","transactionFee","grandTotal","currency","createdAt"],"additionalProperties":false}},"pagination":{"type":"object","properties":{"currentPage":{"type":"number","examples":[1]},"totalPages":{"type":"number","examples":[5]},"totalCount":{"type":"number","examples":[50]},"hasNextPage":{"type":"boolean","examples":[true]},"hasPreviousPage":{"type":"boolean","examples":[false]},"limit":{"type":"number","examples":[10]}},"required":["currentPage","totalPages","totalCount","hasNextPage","hasPreviousPage","limit"],"additionalProperties":false}},"required":["orders","pagination"],"additionalProperties":false}},"required":["success","status","message"],"additionalProperties":false}}}},"400":{"description":"Bad request - Invalid pagination parameters","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"401":{"description":"Unauthorized - Invalid API key or missing user ID","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}}}}},"/checkout/session/confirm":{"post":{"operationId":"confirmCheckoutSession","summary":"Confirm Checkout","description":"Confirms the checkout session and creates an order","tags":["Checkout"],"security":[{"ApiKeyAuth":[],"AccessTokenAuth":[]}],"parameters":[{"name":"x-session-token","in":"header","required":true,"schema":{"type":"string"}},{"name":"x-user-id","in":"header","required":false,"schema":{"type":"string"},"description":"Required for authenticating with an API key"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"shippingDetails":{"type":"object","properties":{"fullName":{"type":"string","minLength":1,"description":"Full name","example":"John Doe"},"email":{"type":"string","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","description":"Email","example":"john.doe@example.com"},"phoneNumber":{"type":"string","minLength":1,"description":"Phone number","example":"+1234567890"},"addressLine1":{"type":"string","minLength":1,"description":"Address line 1","example":"350 5th Ave"},"addressLine2":{"description":"Street address line 2 (apartment, suite, etc.)","example":"Apt 1","anyOf":[{"type":"string"},{"type":"null"}]},"countryCode":{"type":"string","minLength":2,"maxLength":2,"description":"ISO 3166-1 alpha-2 country code (e.g., 'us', 'uk', 'ca')","example":"US"},"city":{"type":"string","minLength":1,"description":"City","example":"New York"},"stateOrProvince":{"type":"string","minLength":1,"description":"State or province","example":"New York"},"postalCode":{"type":"string","minLength":1,"description":"Postal code","example":"10001"}},"required":["fullName","email","phoneNumber","addressLine1","countryCode","city","stateOrProvince","postalCode"]},"forterToken":{"anyOf":[{"type":"string"},{"type":"null"}]},"clientIpAddress":{"anyOf":[{"type":"string"},{"type":"null"}]},"clientUserAgent":{"anyOf":[{"type":"string"},{"type":"null"}]}}}}}},"responses":{"200":{"description":"Order placed successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","examples":[true]},"status":{"type":"string","examples":["success"]},"message":{"type":"string","examples":["Order placed successfully"]},"data":{"type":"object","properties":{"id":{"type":"string","examples":["123e4567-e89b-12d3-a456-426614174000"]},"status":{"type":"string","examples":["order_placed"]},"statusMessage":{"type":"string","examples":["Your order has been placed successfully"]},"subtotal":{"type":"string","examples":["99.99"]},"tax":{"type":"string","examples":["8.25"]},"shipping":{"type":"string","examples":["5.99"]},"grandTotal":{"type":"string","examples":["114.23"]},"currency":{"type":"string","examples":["USD"]},"products":{"type":"array","items":{"type":"object","properties":{"productName":{"type":"string","examples":["Nike Air Max 90"]},"quantity":{"type":"number","examples":[1]},"productMetadata":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{}}},"required":["productName","quantity"],"additionalProperties":false}},"cardLast4":{"examples":["4242"],"type":"string"},"shippingDetails":{"type":"object","properties":{"fullName":{"type":"string","minLength":1,"description":"Full name","example":"John Doe"},"email":{"type":"string","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","description":"Email","example":"john.doe@example.com"},"phoneNumber":{"type":"string","minLength":1,"description":"Phone number","example":"+1234567890"},"addressLine1":{"type":"string","minLength":1,"description":"Address line 1","example":"350 5th Ave"},"addressLine2":{"description":"Street address line 2 (apartment, suite, etc.)","example":"Apt 1","anyOf":[{"type":"string"},{"type":"null"}]},"countryCode":{"type":"string","minLength":2,"maxLength":2,"description":"ISO 3166-1 alpha-2 country code (e.g., 'us', 'uk', 'ca')","example":"US"},"city":{"type":"string","minLength":1,"description":"City","example":"New York"},"stateOrProvince":{"type":"string","minLength":1,"description":"State or province","example":"New York"},"postalCode":{"type":"string","minLength":1,"description":"Postal code","example":"10001"}},"required":["fullName","email","phoneNumber","addressLine1","countryCode","city","stateOrProvince","postalCode"],"additionalProperties":false}},"required":["id","status","statusMessage","subtotal","tax","shipping","grandTotal","currency","products","shippingDetails"],"additionalProperties":false}},"required":["success","status","message"],"additionalProperties":false}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"401":{"description":"Unauthorized - Invalid token","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"404":{"description":"Session not found","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"500":{"description":"Internal Server Error - Order processing or creation failed","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}}}}},"/checkout/session/products":{"get":{"operationId":"getCheckoutSessionProducts","summary":"Checkout Session Products","description":"Returns products for the checkout session","tags":["Checkout"],"parameters":[{"name":"x-session-token","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Checkout session products fetched successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","examples":[true]},"status":{"type":"string","examples":["success"]},"message":{"type":"string","examples":["Checkout session products fetched successfully"]},"data":{"type":"object","properties":{"products":{"type":"array","items":{"type":"object","properties":{"productId":{"description":"Product Id","example":"P01145AC2","type":"string","minLength":1},"name":{"type":"string","minLength":1,"description":"Product name","example":"Men's Trail Runners"},"price":{"type":"string","minLength":1,"description":"Product price","example":"100"},"quantity":{"type":"number","exclusiveMinimum":0,"description":"Quantity","example":1},"metadata":{"description":"Product metadata","example":{"color":"Black","size":"9"},"type":"object","propertyNames":{"type":"string"},"additionalProperties":{"type":"string"}},"productLink":{"type":"string","format":"uri","description":"Product link","example":"https://www.on.com/en-us/products/cloud-6-versa-m-3mf1004/mens/black-eclipse-shoes-3MF10040106"},"affiliateProductLink":{"description":"Affiliate product link (if provided, will be used instead of productLink for order fulfillment)","example":"https://www.on.com/en-us/products/cloud-6-versa-m-3mf1004/mens/black-eclipse-shoes-3MF10040106?ref=affiliate123","type":"string","format":"uri"},"productImageLink":{"description":"Product image link (thumbnail)","example":"https://images.ctfassets.net/hnk2vsx53n6l/2xi62H2BswFpVK0SjUmhXM/0d4a4bb14915c9a5d3228df45c774629/c36d3fd00cf91ec9fb5ff4bc4d4a0093cccbe8cd.png?w=192&h=192&fm=avif&f=center&fit=fill&q=80","type":"string","format":"uri"},"variantCheck":{"type":"object","properties":{"requestId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$","examples":["123e4567-e89b-12d3-a456-426614174000"]},"status":{"type":"string","examples":["completed"]},"result":{"anyOf":[{},{"type":"null"}]},"errorMessage":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":[null]},"createdAt":{"type":"string","examples":["2024-01-15T10:30:00Z"]},"completedAt":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["2024-01-15T10:30:05Z"]}},"required":["requestId","status","result","errorMessage","createdAt","completedAt"],"additionalProperties":false}},"required":["name","price","quantity","productLink"],"additionalProperties":false}}},"required":["products"],"additionalProperties":false}},"required":["success","status","message"],"additionalProperties":false}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"401":{"description":"Unauthorized - Invalid API key","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"404":{"description":"Session not found","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}}}}},"/checkout/session/quote":{"post":{"operationId":"createCheckoutSessionQuote","summary":"Create Checkout Quote","description":"Creates or updates a checkout session with shipping details and returns pricing metadata plus a session token.","tags":["Checkout"],"security":[{"ApiKeyAuth":[],"AccessTokenAuth":[]}],"parameters":[{"name":"x-user-id","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"shippingDetails":{"type":"object","properties":{"fullName":{"type":"string","minLength":1,"description":"Full name","example":"John Doe"},"email":{"type":"string","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","description":"Email","example":"john.doe@example.com"},"phoneNumber":{"type":"string","minLength":1,"description":"Phone number","example":"+1234567890"},"addressLine1":{"type":"string","minLength":1,"description":"Address line 1","example":"350 5th Ave"},"addressLine2":{"description":"Street address line 2 (apartment, suite, etc.)","example":"Apt 1","anyOf":[{"type":"string"},{"type":"null"}]},"countryCode":{"type":"string","minLength":2,"maxLength":2,"description":"ISO 3166-1 alpha-2 country code (e.g., 'us', 'uk', 'ca')","example":"US"},"city":{"type":"string","minLength":1,"description":"City","example":"New York"},"stateOrProvince":{"type":"string","minLength":1,"description":"State or province","example":"New York"},"postalCode":{"type":"string","minLength":1,"description":"Postal code","example":"10001"}},"required":["fullName","email","phoneNumber","addressLine1","countryCode","city","stateOrProvince","postalCode"]},"region":{"description":"ISO 3166-1 alpha-2 country code","examples":["us"],"type":"string","minLength":2,"maxLength":2}},"required":["shippingDetails"]}}}},"responses":{"200":{"description":"Checkout session quote generated","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","examples":[true]},"status":{"type":"string","examples":["success"]},"message":{"type":"string","examples":["Checkout session quote generated"]},"data":{"type":"object","properties":{"session_token":{"type":"string","examples":["sess_abc123xyz"]},"order_metadata":{"type":"object","properties":{"total_price":{"type":"number","examples":[114.23]},"shipping":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{"anyOf":[{"type":"number"},{"type":"null"}]}},"shipping_total":{"type":"number","examples":[5.99]},"tax":{"type":"number","examples":[8.25]},"transaction_fee":{"type":"number","examples":[2.99]},"transaction_fee_percentage":{"examples":[2.9],"type":"number"}},"required":["total_price","shipping","shipping_total","tax","transaction_fee"],"additionalProperties":false}},"required":["session_token","order_metadata"],"additionalProperties":false}},"required":["success","status","message"],"additionalProperties":false}}}},"400":{"description":"Bad request - Invalid input data","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"401":{"description":"Unauthorized - Invalid API key or missing user ID","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}}}}},"/checkout/session/shipping":{"get":{"operationId":"getCheckoutSessionShipping","summary":"Checkout Shipping Info","description":"Retrieves the shipping details for the current checkout session.","tags":["Checkout"],"security":[{"ApiKeyAuth":[],"AccessTokenAuth":[],"TrustedTokenAuth":[]}],"parameters":[{"name":"x-user-id","in":"header","required":false,"schema":{"type":"string"},"description":"Required when authenticating with API key"}],"responses":{"200":{"description":"Checkout session shipping retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","examples":[true]},"status":{"type":"string","examples":["success"]},"message":{"type":"string","examples":["Checkout session shipping retrieved successfully"]},"data":{"type":"object","properties":{"shippingDetails":{"anyOf":[{"type":"object","properties":{"fullName":{"type":"string","minLength":1,"description":"Full name","example":"John Doe"},"email":{"type":"string","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","description":"Email","example":"john.doe@example.com"},"phoneNumber":{"type":"string","minLength":1,"description":"Phone number","example":"+1234567890"},"addressLine1":{"type":"string","minLength":1,"description":"Address line 1","example":"350 5th Ave"},"addressLine2":{"description":"Street address line 2 (apartment, suite, etc.)","example":"Apt 1","anyOf":[{"type":"string"},{"type":"null"}]},"countryCode":{"type":"string","minLength":2,"maxLength":2,"description":"ISO 3166-1 alpha-2 country code (e.g., 'us', 'uk', 'ca')","example":"US"},"city":{"type":"string","minLength":1,"description":"City","example":"New York"},"stateOrProvince":{"type":"string","minLength":1,"description":"State or province","example":"New York"},"postalCode":{"type":"string","minLength":1,"description":"Postal code","example":"10001"}},"required":["fullName","email","phoneNumber","addressLine1","countryCode","city","stateOrProvince","postalCode"],"additionalProperties":false},{"type":"null"}]},"hasShipping":{"type":"boolean","examples":[true]}},"required":["shippingDetails","hasShipping"],"additionalProperties":false}},"required":["success","status","message"],"additionalProperties":false}}}},"401":{"description":"Unauthorized - Invalid authentication","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"404":{"description":"No shipping details found for this user","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}}}}},"/checkout/single":{"post":{"operationId":"singleCheckout","summary":"Single Product Checkout","description":"Returns a modal URL for authenticated checkout of a single product. User will see order details, enter shipping/payment, and confirm purchase.","deprecated":true,"tags":["Checkout"],"security":[{"ApiKeyAuth":[]}],"parameters":[{"name":"x-user-id","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"shippingDetails":{"type":"object","properties":{"fullName":{"type":"string","minLength":1,"description":"Full name","example":"John Doe"},"email":{"type":"string","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","description":"Email","example":"john.doe@example.com"},"phoneNumber":{"type":"string","minLength":1,"description":"Phone number","example":"+1234567890"},"addressLine1":{"type":"string","minLength":1,"description":"Address line 1","example":"350 5th Ave"},"addressLine2":{"description":"Street address line 2 (apartment, suite, etc.)","example":"Apt 1","anyOf":[{"type":"string"},{"type":"null"}]},"countryCode":{"type":"string","minLength":2,"maxLength":2,"description":"ISO 3166-1 alpha-2 country code (e.g., 'us', 'uk', 'ca')","example":"US"},"city":{"type":"string","minLength":1,"description":"City","example":"New York"},"stateOrProvince":{"type":"string","minLength":1,"description":"State or province","example":"New York"},"postalCode":{"type":"string","minLength":1,"description":"Postal code","example":"10001"}},"required":["fullName","email","phoneNumber","addressLine1","countryCode","city","stateOrProvince","postalCode"]},"productDetails":{"type":"object","properties":{"productId":{"description":"Product Id","example":"P01145AC2","type":"string","minLength":1},"name":{"type":"string","minLength":1,"description":"Product name","example":"Men's Trail Runners"},"price":{"type":"string","minLength":1,"description":"Product price","example":"100"},"quantity":{"type":"number","exclusiveMinimum":0,"description":"Quantity","example":1},"metadata":{"description":"Product metadata","example":{"color":"Black","size":"9"},"type":"object","propertyNames":{"type":"string"},"additionalProperties":{"type":"string"}},"productLink":{"type":"string","format":"uri","description":"Product link","example":"https://www.on.com/en-us/products/cloud-6-versa-m-3mf1004/mens/black-eclipse-shoes-3MF10040106"},"affiliateProductLink":{"description":"Affiliate product link (if provided, will be used instead of productLink for order fulfillment)","example":"https://www.on.com/en-us/products/cloud-6-versa-m-3mf1004/mens/black-eclipse-shoes-3MF10040106?ref=affiliate123","type":"string","format":"uri"},"productImageLink":{"description":"Product image link (thumbnail)","example":"https://images.ctfassets.net/hnk2vsx53n6l/2xi62H2BswFpVK0SjUmhXM/0d4a4bb14915c9a5d3228df45c774629/c36d3fd00cf91ec9fb5ff4bc4d4a0093cccbe8cd.png?w=192&h=192&fm=avif&f=center&fit=fill&q=80","type":"string","format":"uri"}},"required":["name","price","quantity","productLink"]},"batchName":{"description":"Optional batch name for grouping orders","examples":["batch-001"],"type":"string"},"batchNumber":{"description":"Optional batch number","examples":[1],"type":"number"},"region":{"description":"ISO 3166-1 alpha-2 country code","examples":["us"],"type":"string","minLength":2,"maxLength":2}},"required":["shippingDetails","productDetails"]}}}},"responses":{"201":{"description":"Order created successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","examples":[true]},"status":{"type":"string","examples":["success"]},"message":{"type":"string","examples":["Order created successfully"]},"data":{"type":"object","properties":{"id":{"type":"string","examples":["123e4567-e89b-12d3-a456-426614174000"]},"status":{"type":"string","examples":["order_placed"]},"statusMessage":{"type":"string","examples":["Your order has been placed successfully"]},"orderAmount":{"type":"string","examples":["114.23"]},"currency":{"type":"string","examples":["USD"]},"productName":{"type":"string","examples":["Nike Air Max 90"]},"quantity":{"type":"number","examples":[1]},"productMetadata":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{}},"shippingDetails":{"type":"object","properties":{"fullName":{"type":"string","minLength":1,"description":"Full name","example":"John Doe"},"email":{"type":"string","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","description":"Email","example":"john.doe@example.com"},"phoneNumber":{"type":"string","minLength":1,"description":"Phone number","example":"+1234567890"},"addressLine1":{"type":"string","minLength":1,"description":"Address line 1","example":"350 5th Ave"},"addressLine2":{"description":"Street address line 2 (apartment, suite, etc.)","example":"Apt 1","anyOf":[{"type":"string"},{"type":"null"}]},"countryCode":{"type":"string","minLength":2,"maxLength":2,"description":"ISO 3166-1 alpha-2 country code (e.g., 'us', 'uk', 'ca')","example":"US"},"city":{"type":"string","minLength":1,"description":"City","example":"New York"},"stateOrProvince":{"type":"string","minLength":1,"description":"State or province","example":"New York"},"postalCode":{"type":"string","minLength":1,"description":"Postal code","example":"10001"}},"required":["fullName","email","phoneNumber","addressLine1","countryCode","city","stateOrProvince","postalCode"],"additionalProperties":false}},"required":["id","status","statusMessage","orderAmount","currency","productName","quantity","shippingDetails"],"additionalProperties":false}},"required":["success","status","message"],"additionalProperties":false}}}},"400":{"description":"Bad request - Invalid input data","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"401":{"description":"Unauthorized - Invalid API key or missing user ID","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}}}}},"/checkout/single-network-token":{"post":{"operationId":"singleNetworkTokenCheckout","summary":"Single Product Token Checkout","description":"Create a checkout order for a single product with credit card details provided directly","deprecated":true,"tags":["Checkout"],"security":[{"ApiKeyAuth":[]}],"parameters":[{"name":"x-user-id","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"shippingDetails":{"type":"object","properties":{"fullName":{"type":"string","minLength":1,"description":"Full name","example":"John Doe"},"email":{"type":"string","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","description":"Email","example":"john.doe@example.com"},"phoneNumber":{"type":"string","minLength":1,"description":"Phone number","example":"+1234567890"},"addressLine1":{"type":"string","minLength":1,"description":"Address line 1","example":"350 5th Ave"},"addressLine2":{"description":"Street address line 2 (apartment, suite, etc.)","example":"Apt 1","anyOf":[{"type":"string"},{"type":"null"}]},"countryCode":{"type":"string","minLength":2,"maxLength":2,"description":"ISO 3166-1 alpha-2 country code (e.g., 'us', 'uk', 'ca')","example":"US"},"city":{"type":"string","minLength":1,"description":"City","example":"New York"},"stateOrProvince":{"type":"string","minLength":1,"description":"State or province","example":"New York"},"postalCode":{"type":"string","minLength":1,"description":"Postal code","example":"10001"}},"required":["fullName","email","phoneNumber","addressLine1","countryCode","city","stateOrProvince","postalCode"]},"productDetails":{"type":"object","properties":{"productId":{"description":"Product Id","example":"P01145AC2","type":"string","minLength":1},"name":{"type":"string","minLength":1,"description":"Product name","example":"Men's Trail Runners"},"price":{"type":"string","minLength":1,"description":"Product price","example":"100"},"quantity":{"type":"number","exclusiveMinimum":0,"description":"Quantity","example":1},"metadata":{"description":"Product metadata","example":{"color":"Black","size":"9"},"type":"object","propertyNames":{"type":"string"},"additionalProperties":{"type":"string"}},"productLink":{"type":"string","format":"uri","description":"Product link","example":"https://www.on.com/en-us/products/cloud-6-versa-m-3mf1004/mens/black-eclipse-shoes-3MF10040106"},"affiliateProductLink":{"description":"Affiliate product link (if provided, will be used instead of productLink for order fulfillment)","example":"https://www.on.com/en-us/products/cloud-6-versa-m-3mf1004/mens/black-eclipse-shoes-3MF10040106?ref=affiliate123","type":"string","format":"uri"},"productImageLink":{"description":"Product image link (thumbnail)","example":"https://images.ctfassets.net/hnk2vsx53n6l/2xi62H2BswFpVK0SjUmhXM/0d4a4bb14915c9a5d3228df45c774629/c36d3fd00cf91ec9fb5ff4bc4d4a0093cccbe8cd.png?w=192&h=192&fm=avif&f=center&fit=fill&q=80","type":"string","format":"uri"}},"required":["name","price","quantity","productLink"]},"region":{"type":"string","minLength":2,"maxLength":2},"cardDetails":{"type":"object","properties":{"cardNumber":{"type":"string","pattern":"^[0-9]{12,19}$","description":"Card number","example":"4242424242424242"},"cardExp":{"type":"string","pattern":"^[0-9]{2}\\/[0-9]{2}$","description":"Card expiration date","example":"12/29"},"cardHolder":{"type":"string","minLength":1,"description":"Cardholder name","example":"John Doe"},"cardCvv":{"type":"string","pattern":"^[0-9]{3,4}$","description":"Card CVV/CVC security code","example":"123"},"email":{"type":"string","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","description":"Billing email address","example":"john.doe@example.com"},"phoneNumber":{"type":"string","minLength":1,"description":"Billing phone number","example":"+12125551234"},"billingAddress":{"type":"string","minLength":1,"description":"Billing address","example":"123 Main Street, Apt 4B"},"zipCode":{"type":"string","minLength":1,"description":"Billing ZIP or postal code","example":"10001"}},"required":["cardNumber","cardExp","cardHolder","cardCvv","email","phoneNumber","billingAddress","zipCode"]}},"required":["shippingDetails","productDetails","cardDetails"]}}}},"responses":{"201":{"description":"Order created successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","examples":[true]},"status":{"type":"string","examples":["success"]},"message":{"type":"string","examples":["Order created successfully"]},"data":{"type":"object","properties":{"id":{"type":"string","examples":["123e4567-e89b-12d3-a456-426614174000"]},"status":{"type":"string","examples":["order_placed"]},"statusMessage":{"type":"string","examples":["Your order has been placed successfully"]},"orderAmount":{"type":"string","examples":["114.23"]},"currency":{"type":"string","examples":["USD"]},"productName":{"type":"string","examples":["Nike Air Max 90"]},"quantity":{"type":"number","examples":[1]},"productMetadata":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{}},"shippingDetails":{"type":"object","properties":{"fullName":{"type":"string","minLength":1,"description":"Full name","example":"John Doe"},"email":{"type":"string","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","description":"Email","example":"john.doe@example.com"},"phoneNumber":{"type":"string","minLength":1,"description":"Phone number","example":"+1234567890"},"addressLine1":{"type":"string","minLength":1,"description":"Address line 1","example":"350 5th Ave"},"addressLine2":{"description":"Street address line 2 (apartment, suite, etc.)","example":"Apt 1","anyOf":[{"type":"string"},{"type":"null"}]},"countryCode":{"type":"string","minLength":2,"maxLength":2,"description":"ISO 3166-1 alpha-2 country code (e.g., 'us', 'uk', 'ca')","example":"US"},"city":{"type":"string","minLength":1,"description":"City","example":"New York"},"stateOrProvince":{"type":"string","minLength":1,"description":"State or province","example":"New York"},"postalCode":{"type":"string","minLength":1,"description":"Postal code","example":"10001"}},"required":["fullName","email","phoneNumber","addressLine1","countryCode","city","stateOrProvince","postalCode"],"additionalProperties":false}},"required":["id","status","statusMessage","orderAmount","currency","productName","quantity","shippingDetails"],"additionalProperties":false}},"required":["success","status","message"],"additionalProperties":false}}}},"400":{"description":"Bad request - Invalid input data","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"401":{"description":"Unauthorized - Invalid API key or missing user ID","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}}}}},"/merchants/list":{"get":{"operationId":"getSupportedMerchants","summary":"Supported Merchants List","description":"Returns a list of supported merchants ","tags":["Merchants"],"parameters":[{"in":"query","name":"page","schema":{"type":"integer","minimum":1,"default":1},"description":"Page number (starts from 1)","example":"1"},{"in":"query","name":"limit","schema":{"type":"integer","minimum":1,"maximum":100,"default":15},"description":"Number of items per page (1-100)","example":"10"}],"responses":{"200":{"description":"Supported merchants retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","examples":[true]},"status":{"type":"string","examples":["success"]},"message":{"type":"string","examples":["Supported merchants retrieved successfully"]},"data":{"type":"object","properties":{"merchants":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","examples":["123e4567-e89b-12d3-a456-426614174000"]},"name":{"type":"string","examples":["Walmart"]},"domain":{"type":"string","examples":["walmart.com"]},"website":{"examples":["https://www.walmart.com"],"type":"string"}},"required":["id","name","domain"],"additionalProperties":false}},"pagination":{"type":"object","properties":{"currentPage":{"type":"number","examples":[1]},"totalPages":{"type":"number","examples":[5]},"totalCount":{"type":"number","examples":[50]},"hasNextPage":{"type":"boolean","examples":[true]},"hasPreviousPage":{"type":"boolean","examples":[false]},"limit":{"type":"number","examples":[10]}},"required":["currentPage","totalPages","totalCount","hasNextPage","hasPreviousPage","limit"],"additionalProperties":false}},"required":["merchants","pagination"],"additionalProperties":false}},"required":["success","status","message"],"additionalProperties":false}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"401":{"description":"Unauthorized - Invalid API key","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}}}}},"/merchants/shipping-info":{"get":{"operationId":"getMerchantShippingInfo","summary":"Merchant Shipping Info ","description":"Retrieve shipping information including shipping tiers and free shipping thresholds for merchants","tags":["Merchants"],"parameters":[{"in":"query","name":"domain","schema":{"type":"string"},"description":"Merchant domain to filter by","example":"walmart.com"},{"in":"query","name":"merchantId","schema":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"description":"Merchant ID to filter by","example":"123e4567-e89b-12d3-a456-426614174000"},{"in":"query","name":"limit","schema":{"type":"integer","minimum":1,"maximum":100,"default":50},"description":"Number of items per page (1-100)","example":"50"},{"in":"query","name":"offset","schema":{"type":"integer","minimum":0,"default":0},"description":"Number of items to skip","example":"0"}],"responses":{"200":{"description":"Merchant shipping information retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","examples":[true]},"status":{"type":"string","examples":["success"]},"message":{"type":"string","examples":["Merchant shipping information retrieved successfully"]},"data":{"type":"object","properties":{"merchants":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","examples":["123e4567-e89b-12d3-a456-426614174000"]},"name":{"type":"string","examples":["Walmart"]},"domain":{"type":"string","examples":["walmart.com"]},"displayName":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["Walmart Inc."]},"freeShippingThreshold":{"anyOf":[{"type":"number"},{"type":"null"}],"examples":[35]},"shippingNotes":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["Free shipping on orders over $35"]},"shippingTiers":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","examples":["tier-123"]},"tierName":{"type":"string","examples":["Standard Shipping"]},"cost":{"type":"number","examples":[5.99]},"estimatedDeliveryMinDays":{"anyOf":[{"type":"number"},{"type":"null"}],"examples":[3]},"estimatedDeliveryMaxDays":{"anyOf":[{"type":"number"},{"type":"null"}],"examples":[7]}},"required":["id","tierName","cost","estimatedDeliveryMinDays","estimatedDeliveryMaxDays"],"additionalProperties":false}}},"required":["id","name","domain","displayName","freeShippingThreshold","shippingNotes","shippingTiers"],"additionalProperties":false}},"totalCount":{"type":"number","examples":[25]},"hasMore":{"type":"boolean","examples":[true]}},"required":["merchants","totalCount","hasMore"],"additionalProperties":false}},"required":["success","status","message"],"additionalProperties":false}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"401":{"description":"Unauthorized - Invalid API key","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}}}}},"/merchants/{merchantDomain}/status":{"get":{"operationId":"merchantSupport","summary":"Merchant Support by Domain","description":"Verifies whether a merchant is supported by checking their domain","tags":["Merchants"],"parameters":[{"in":"path","name":"merchantDomain","schema":{"type":"string","minLength":1,"description":"Merchant domain which is sent in path (replaces :merchantDomain placeholder in path, e.g., 'walmart.com')","example":"walmart.com"},"required":true,"description":"Merchant domain which is sent in path (replaces :merchantDomain placeholder in path, e.g., 'walmart.com')"},{"in":"query","name":"checkoutMode","schema":{"default":"allowlist","description":"Sent as query param. Checkout mode to check merchant support against. 'allowlist' only allows explicitly approved merchants, 'blocklist' allows all except explicitly blocked merchants.","example":"allowlist","type":"string","enum":["allowlist","blocklist"]},"description":"Sent as query param. Checkout mode to check merchant support against. 'allowlist' only allows explicitly approved merchants, 'blocklist' allows all except explicitly blocked merchants."}],"responses":{"200":{"description":"Merchant support status retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","examples":[true]},"status":{"type":"string","examples":["success"]},"message":{"type":"string","examples":["Merchant support status retrieved successfully"]},"data":{"type":"object","properties":{"merchantSupportStatus":{"type":"boolean","examples":[true]}},"required":["merchantSupportStatus"],"additionalProperties":false}},"required":["success","status","message"],"additionalProperties":false}}}},"400":{"description":"Bad request - Invalid domain format","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"401":{"description":"Unauthorized - Invalid API key","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}}}}},"/products/details":{"get":{"operationId":"getProductDetails","summary":"Product Details","description":"Retrieve detailed information about a specific product given product ID","tags":["Products"],"security":[{"ApiKeyAuth":[]}],"parameters":[{"in":"query","name":"productId","schema":{"type":"string","minLength":1,"description":"Product ID. For Shopify products, use 'shopify:{upid}' format (e.g., 'shopify:abc123'). For Google Shopping products, use the raw page token.","example":"1234567890"},"required":true,"description":"Product ID. For Shopify products, use 'shopify:{upid}' format (e.g., 'shopify:abc123'). For Google Shopping products, use the raw page token."}],"responses":{"200":{"description":"Product details retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","examples":[true]},"status":{"type":"string","examples":["success"]},"message":{"type":"string","examples":["Product details retrieved successfully"]},"data":{"type":"object","properties":{"productResults":{"type":"object","properties":{"thumbnails":{"type":"array","items":{"type":"string"}},"title":{"type":"string","examples":["Nike Air Max 90"]},"brand":{"type":"string","examples":["Nike"]},"reviews":{"type":"number","examples":[1250]},"rating":{"type":"number","examples":[4.5]},"criticRatings":{"type":"array","items":{"type":"object","properties":{"link":{"type":"string","examples":["https://www.techradar.com/reviews/nike-air-max"]},"name":{"type":"string","examples":["TechRadar"]},"rating":{"type":"number","examples":[4.5]}},"required":["link","name","rating"],"additionalProperties":false}},"priceRange":{"examples":["$99.99 - $129.99"],"type":"string"},"stores":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","examples":["Walmart"]},"logo":{"examples":["https://logo.clearbit.com/walmart.com"],"type":"string"},"link":{"type":"string","examples":["https://www.walmart.com/ip/12345"]},"title":{"examples":["Nike Air Max 90 - Black"],"type":"string"},"rating":{"examples":[4.5],"type":"number"},"reviews":{"examples":[1250],"type":"number"},"paymentMethods":{"examples":["Visa, Mastercard, PayPal"],"type":"string"},"tag":{"examples":["Best Seller"],"type":"string"},"detailsAndOffers":{"type":"array","items":{"type":"string"}},"coupon":{"examples":["SAVE10"],"type":"string"},"discount":{"examples":["10% off"],"type":"string"},"price":{"examples":["$99.99"],"type":"string"},"extractedPrice":{"examples":[99.99],"type":"number"},"originalPrice":{"examples":["$129.99"],"type":"string"},"extractedOriginalPrice":{"examples":[129.99],"type":"number"},"monthlyPaymentDuration":{"examples":[12],"type":"number"},"downPayment":{"examples":["$9.99"],"type":"string"},"estimatedTax":{"examples":["$8.25"],"type":"string"},"extractedEstimatedTax":{"examples":[8.25],"type":"number"},"shipping":{"examples":["Free shipping"],"type":"string"},"shippingExtracted":{"examples":[0],"type":"number"},"total":{"examples":["$108.24"],"type":"string"},"extractedTotal":{"examples":[108.24],"type":"number"}},"required":["name","link","detailsAndOffers"],"additionalProperties":false}},"aboutTheProduct":{"type":"object","properties":{"title":{"type":"string"},"link":{"type":"string"},"displayedLink":{"type":"string"},"icon":{"type":"string"},"description":{"type":"string"},"features":{"type":"array","items":{"type":"object","properties":{"title":{"type":"string"},"value":{"type":"string"}},"required":["title","value"],"additionalProperties":false}}},"required":["title","features"],"additionalProperties":false},"topInsights":{"type":"object","properties":{"title":{"type":"string"},"subtitle":{"type":"string"},"items":{"type":"array","items":{"type":"object","properties":{"keyPoint":{"type":"string"},"snippet":{"type":"string"},"pros":{"type":"array","items":{"type":"string"}},"cons":{"type":"array","items":{"type":"string"}},"timestamp":{"type":"string"},"thumbnail":{"type":"string"},"icon":{"type":"string"},"link":{"type":"string"},"user":{"type":"string"},"date":{"type":"string"},"source":{"type":"string"},"title":{"type":"string"}},"required":["keyPoint","snippet","pros","cons","timestamp","thumbnail","icon","link","user","date","source","title"],"additionalProperties":false}}},"required":["title","subtitle","items"],"additionalProperties":false},"ratings":{"type":"array","items":{"type":"object","properties":{"stars":{"type":"number","examples":[5]},"amount":{"type":"number","examples":[523]}},"required":["stars","amount"],"additionalProperties":false}},"reviewsImages":{"type":"array","items":{"type":"string"}},"userReviews":{"type":"array","items":{"type":"object","properties":{"title":{"type":"string","examples":["Great shoes!"]},"text":{"type":"string","examples":["These shoes are incredibly comfortable and stylish."]},"userName":{"type":"string","examples":["John D."]},"source":{"type":"string","examples":["walmart.com"]},"rating":{"type":"number","examples":[5]},"date":{"type":"string","examples":["2024-01-15"]},"icon":{"type":"string","examples":["https://example.com/user-icon.png"]},"images":{"type":"array","items":{"type":"string"}},"incentivized":{"examples":[false],"type":"boolean"}},"required":["title","text","userName","source","rating","date","icon","images"],"additionalProperties":false}},"videos":{"type":"array","items":{"type":"object","properties":{"title":{"type":"string"},"link":{"type":"string"},"source":{"type":"string"},"channel":{"type":"string"},"duration":{"type":"string"},"thumbnail":{"type":"string"},"preview":{"type":"string"}},"required":["title","link","source","channel","duration","thumbnail","preview"],"additionalProperties":false}},"discussionsAndForums":{"type":"array","items":{"type":"object","properties":{"title":{"type":"string"},"link":{"type":"string"},"source":{"type":"string"},"icon":{"type":"string"},"date":{"type":"string"},"comments":{"type":"number"},"items":{"type":"array","items":{"type":"object","properties":{"snippet":{"type":"string"},"link":{"type":"string"},"topAnswer":{"type":"boolean"},"votes":{"type":"number"}},"required":["snippet","link","topAnswer","votes"],"additionalProperties":false}}},"required":["title","link","source","icon","date","comments","items"],"additionalProperties":false}},"moreOptions":{"type":"array","items":{"type":"object","properties":{"title":{"type":"string","examples":["Nike Air Max 90 - White"]},"thumbnail":{"type":"string","examples":["https://example.com/thumbnail.jpg"]},"price":{"type":"string","examples":["$99.99"]},"extractedPrice":{"type":"number","examples":[99.99]},"originalPrice":{"type":"string","examples":["$129.99"]},"extractedOriginalPrice":{"type":"number","examples":[129.99]},"reviews":{"type":"number","examples":[1250]},"rating":{"type":"number","examples":[4.5]},"id":{"examples":["12345678"],"type":"string"}},"required":["title","thumbnail","price","extractedPrice","originalPrice","extractedOriginalPrice","reviews","rating"],"additionalProperties":false}},"variants":{"type":"array","items":{"type":"object","properties":{"title":{"type":"string"},"items":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"selected":{"type":"boolean"},"available":{"type":"boolean"},"id":{"type":"string"}},"required":["name"],"additionalProperties":false}}},"required":["title","items"],"additionalProperties":false}}},"required":["thumbnails","title","brand","reviews","rating","criticRatings","stores","ratings","reviewsImages","userReviews","videos","discussionsAndForums","moreOptions","variants"],"additionalProperties":false},"relatedSearches":{"type":"array","items":{"type":"object","properties":{"query":{"type":"string"},"image":{"type":"string"}},"required":["query"],"additionalProperties":false}}},"required":["productResults","relatedSearches"],"additionalProperties":false}},"required":["success","status","message","data"],"additionalProperties":false}}}},"400":{"description":"Bad request - Invalid product ID","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"401":{"description":"Unauthorized - Invalid API key","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"404":{"description":"Product not found","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}}}}},"/products/enrich":{"post":{"operationId":"enrichProducts","summary":"Enrich Products","description":"! *This endpoint is experimental and unstable. The API contract may change without notice.*\n\nCreates a request to scrape product details from a given URL. Returns a requestId to poll for results.","tags":["Products"],"security":[{"ApiKeyAuth":[]}],"x-stability":"experimental","x-scalar-stability":"experimental","parameters":[{"name":"x-user-id","in":"header","required":false,"schema":{"type":"string"},"description":"Optional end-user identifier for tracking purposes"},{"name":"skipCache","in":"query","required":false,"schema":{"type":"boolean"},"description":"If true, bypasses the cache and forces a fresh scrape"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"url":{"type":"string","format":"uri"},"region":{"default":"us","type":"string","enum":["ad","ae","af","ag","ai","al","am","ao","ar","at","au","aw","az","ba","bb","bd","be","bf","bg","bh","bj","bl","bm","bn","bo","br","bs","bt","bw","by","bz","ca","cd","cg","ch","ci","cl","cm","cn","co","cr","cv","cy","cz","de","dj","dk","dm","do","dz","ec","ee","eg","es","et","fi","fj","fk","fr","ga","gb","gd","ge","gf","gg","gh","gi","gl","gm","gn","gp","gr","gt","gu","gw","gy","hk","hn","hr","ht","hu","id","ie","il","im","in","is","it","je","jm","jo","jp","ke","kg","kh","kn","kr","kw","ky","kz","la","lb","lc","lk","lr","ls","lt","lu","lv","ly","ma","mc","md","me","mg","mh","mk","ml","mm","mn","mo","mq","mr","ms","mt","mu","mv","mw","mx","my","mz","na","ne","ng","ni","nl","no","np","nz","om","pa","pe","pf","pg","ph","pk","pl","pr","pt","py","qa","ro","rs","ru","rw","sa","sc","se","sg","si","sk","sl","sm","sn","so","sr","ss","sv","sx","sz","tc","td","tg","th","tj","tl","tn","tr","tt","tw","tz","ua","ug","us","uy","uz","vc","ve","vg","vi","vn","xk","ye","za","zm","zw"]}},"required":["url"]}}}},"responses":{"202":{"description":"Request accepted and processing started","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string","enum":["pending","processing"]},"requestId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"message":{"type":"string"},"createdAt":{"type":"string"}},"required":["success","status","requestId","message","createdAt"],"additionalProperties":false}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"401":{"description":"Unauthorized - Invalid authorization headers","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}}}}},"/products/enrich/{id}":{"get":{"operationId":"getEnrichStatus","summary":"Enrichment Status","description":"! *This endpoint is experimental and unstable. The API contract may change without notice.*\n\nPoll the status of a product enrichment request.","tags":["Products"],"security":[{"ApiKeyAuth":[]}],"x-stability":"experimental","x-scalar-stability":"experimental","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Current status of the enrich request","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"requestId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"status":{"type":"string","enum":["pending","processing","completed","failed","timeout"]},"message":{"type":"string"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"},"completedAt":{"type":"string"},"data":{"type":"object","properties":{"productResults":{"type":"object","properties":{"thumbnails":{"type":"array","items":{"type":"string"}},"title":{"type":"string"},"priceRange":{"type":"string"},"aboutTheProduct":{"type":"object","properties":{"description":{"type":"string"},"link":{"type":"string","format":"uri"}},"additionalProperties":false},"variants":{"type":"array","items":{"type":"object","properties":{"title":{"type":"string"},"items":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"available":{"type":"boolean"}},"additionalProperties":false}}},"additionalProperties":false}}},"additionalProperties":false}},"additionalProperties":false},"errorMessage":{"type":"string"}},"required":["success","requestId","status","message","createdAt","updatedAt"],"additionalProperties":false},"examples":{"pending":{"summary":"Request pending","value":{"success":true,"requestId":"123e4567-e89b-12d3-a456-426614174000","status":"pending","message":"Enrichment pending","createdAt":"2024-01-15T10:30:00.000Z","updatedAt":"2024-01-15T10:30:00.000Z"}},"processing":{"summary":"Request processing","value":{"success":true,"requestId":"123e4567-e89b-12d3-a456-426614174000","status":"processing","message":"Enrichment in progress","createdAt":"2024-01-15T10:30:00.000Z","updatedAt":"2024-01-15T10:30:05.000Z"}},"completed":{"summary":"Request completed successfully","value":{"success":true,"requestId":"123e4567-e89b-12d3-a456-426614174000","status":"completed","message":"Enrichment completed successfully","createdAt":"2024-01-15T10:30:00.000Z","updatedAt":"2024-01-15T10:30:45.000Z","completedAt":"2024-01-15T10:30:45.000Z","data":{"productResults":{"title":"Nike Air Max 90","priceRange":"$120.00 - $150.00","thumbnails":["https://example.com/image1.jpg","https://example.com/image2.jpg"],"aboutTheProduct":{"description":"Classic Nike Air Max 90 sneakers","link":"https://nike.com/air-max-90"},"variants":[{"title":"Size","items":[{"name":"8","available":true},{"name":"9","available":true},{"name":"10","available":false}]}]}}}},"failed":{"summary":"Request failed","value":{"success":false,"requestId":"123e4567-e89b-12d3-a456-426614174000","status":"failed","message":"Enrichment failed","createdAt":"2024-01-15T10:30:00.000Z","updatedAt":"2024-01-15T10:30:30.000Z","completedAt":"2024-01-15T10:30:30.000Z","errorMessage":"Failed to scrape product page"}},"timeout":{"summary":"Request timed out","value":{"success":false,"requestId":"123e4567-e89b-12d3-a456-426614174000","status":"timeout","message":"Enrichment timed out","createdAt":"2024-01-15T10:30:00.000Z","updatedAt":"2024-01-15T10:31:00.000Z","completedAt":"2024-01-15T10:31:00.000Z","errorMessage":"Request timeout after 60 seconds"}}}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"404":{"description":"Request not found","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}}}}},"/products/google-shopping-scrape":{"post":{"operationId":"googleShoppingProducts","summary":"Scrape Google shopping Products","description":"! *This endpoint is experimental and unstable. The API contract may change without notice.*\n\nCreates a request to scrape product details from a given google shopping product page URL. Returns a requestId to poll for results.","tags":["Products"],"security":[{"ApiKeyAuth":[]}],"parameters":[{"name":"x-user-id","in":"header","required":false,"schema":{"type":"string"},"description":"Optional end-user identifier for tracking purposes"},{"name":"skipCache","in":"query","required":false,"schema":{"type":"boolean"},"description":"If true, bypasses the cache and forces a fresh scrape"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"url":{"type":"string","format":"uri"}},"required":["url"]}}}},"responses":{"202":{"description":"Request accepted and processing started","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string","enum":["pending","processing"]},"requestId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"message":{"type":"string"},"createdAt":{"type":"string"}},"required":["success","status","requestId","message","createdAt"],"additionalProperties":false}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}},"401":{"description":"Unauthorized - Invalid authorization headers","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"status":{"type":"string"},"message":{"type":"string"}},"required":["success","status","message"],"additionalProperties":false}}}}}}},"/products/google-shopping-scrape/{id}":{"get":{"operationId":"getGoogleShoppingProductsStatus","summary":"Google Shopping Scrape Status","description":"! *This endpoint is experimental and unstable. The API contract may change without notice.*\n\nPoll the status of a google shoppping product scrape request.","tags":["Products"],"security":[{"ApiKeyAuth":[]}],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Current status of the google shopping scrape request","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"requestId":{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},"status":{"type":"string","enum":["pending","processing","completed","failed","timeout"]},"message":{"type":"string"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"},"completedAt":{"type":"string"},"data":{"type":"object","properties":{"productResults":{"type":"object","properties":{"productName":{"type":"string"},"price":{"type":"string"},"description":{"type":"string"},"priceRange":{"type":"string"},"url":{"anyOf":[{"type":"string"},{"type":"null"}]},"scrapedAt":{"type":"string"},"rating":{"anyOf":[{"type":"string"},{"type":"null"}]},"reviewCount":{"anyOf":[{"type":"string"},{"type":"null"}]},"thumbnails":{"type":"array","items":{"type":"string","format":"uri"}},"stores":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"logo":{"anyOf":[{"type":"string","format":"uri"},{"type":"null"}]},"link":{"anyOf":[{"type":"string","format":"uri"},{"type":"null"}]},"title":{"anyOf":[{"type":"string"},{"type":"null"}]},"rating":{"anyOf":[{"type":"number"},{"type":"null"}]},"tag":{"anyOf":[{"type":"string"},{"type":"null"}]},"details_and_offers":{"type":"array","items":{"type":"string"}},"price":{"anyOf":[{"type":"string"},{"type":"null"}]},"shipping":{"type":"string"},"total":{"anyOf":[{"type":"string"},{"type":"null"}]}},"required":["name","logo","link","title","rating","tag","details_and_offers","price","shipping","total"],"additionalProperties":false}}},"required":["productName","price","description","priceRange","scrapedAt","thumbnails","stores"],"additionalProperties":false}},"additionalProperties":false},"errorMessage":{"type":"string"}},"required":["success","requestId","status","message","createdAt","updatedAt"],"additionalProperties":false},"examples":{"pending":{"summary":"Request pending","value":{"success":true,"requestId":"123e4567-e89b-12d3-a456-426614174000","status":"pending","message":"Google shopping scrape pending","createdAt":"2024-01-15T10:30:00.000Z","updatedAt":"2024-01-15T10:30:00.000Z"}},"processing":{"summary":"Request processing","value":{"success":true,"requestId":"123e4567-e89b-12d3-a456-426614174000","status":"processing","message":"Google shopping scrape in progress","createdAt":"2024-01-15T10:30:00.000Z","updatedAt":"2024-01-15T10:30:05.000Z"}},"completed":{"summary":"Request completed successfully","value":{"success":true,"requestId":"123e4567-e89b-12d3-a456-426614174000","status":"completed","message":"Google Shopping Scrape completed successfully","createdAt":"2024-01-15T10:30:00.000Z","updatedAt":"2024-01-15T10:30:45.000Z","completedAt":"2024-01-15T10:30:45.000Z","data":{"productResults":{"productName":"Good & Gather Clover Honey","price":"$11.69","description":"The Clover Honey from Good & Gather makes it easy to incorporate sweet, delicious taste into your food. With no additional ingredients, this product is pure, US Grade A honey, making for a delightful way to sweeten your meals. Simply add it to your baked goods or drizzle it onto an English muffin with peanut butter and sliced bananas for an easy breakfast. However you use honey to sweeten your day, you can feel good about its origins knowing that it's True Source Certified, meaning it's authentic, real honey that has been ethically sourced. So, go ahead and add this to your go-to kitchen essentials for feel-good snacks and meals. Every product that carries the Good & Gather name starts with quality ingredients that deliver great taste, making it easier for you and your family to eat well, every day.MoreThe Clover Honey from Good & Gather makes it easy to incorporate sweet, delicious taste into your food. With no additional ingredients, this product is pure, US Grade A honey, making for a delightful way to sweeten your meals. Simply add it to your baked goods or drizzle it onto an English muffin with peanut butter and sliced bananas for an easy breakfast. However you use honey to sweeten your day, you can feel good about its origins knowing that it's True Source Certified, meaning it's authentic, real honey that has been ethically sourced. So, go ahead and add this to your go-to kitchen essentials for feel-good snacks and meals. Every product that carries the Good & Gather name starts with quality ingredients that deliver great taste, making it easier for you and your family to eat well, every day.Less","rating":"4.4","reviewCount":"156","thumbnails":["https://encrypted-tbn2.gstatic.com/shopping?q=tbn:ANd9GcR086UMW-Em0ZM-NODj1WGPNhclEyH1XQIDE-De
[...]
